---
layout: default
overview: true
permalink: /
---

<section class="intro">
  <div class="grid">
    <div class="unit whole center-on-mobiles">
      <p class="first">Transform your plain text into static&nbsp;websites and&nbsp;blogs.</p>
    </div>
  </div>
</section>
<section class="features">
  <div class="grid">
    <div class="unit one-third">
      <h2>Simple</h2>
      <p>
        No more databases, comment moderation, or pesky updates to install—just <em>your content</em>.
      </p>
      <a href="{{ 'docs/usage/' | relative_url }}">How Jekyll works &rarr;</a>
    </div>
    <div class="unit one-third">
      <h2>Static</h2>
      <p><a href="https://daringfireball.net/projects/markdown/">Markdown</a>, <a href="https://github.com/Shopify/liquid/wiki">Liquid</a>, HTML <span class="amp">&amp;</span> CSS go in. Static sites come out ready for deployment.</p>
      <a href="{{ 'docs/templates/' | relative_url }}">Jekyll template guide &rarr;</a>
    </div>
    <div class="unit one-third">
      <h2>Blog-aware</h2>
      <p>
        Permalinks, categories, pages, posts, and custom layouts are all first-class citizens here.
      </p>
      <a href="http://import.jekyllrb.com">Migrate your blog &rarr;</a>
    </div>
    <div class="clear"></div>
  </div>
</section>
<section class="quickstart">
  <div class="grid">
    <div class="unit golden-small center-on-mobiles">
      <h3>Get up and running <em>in&nbsp;seconds</em>.</h3>
    </div>
    <div class="unit golden-large code">
      <p class="title">Quick-start Instructions</p>
      <div class="shell">
        <p class="line">
          <span class="path">~</span>
          <span class="prompt">$</span>
          <span class="command">gem install bundler jekyll</span>
        </p>
        <p class="line">
          <span class="path">~</span>
          <span class="prompt">$</span>
          <span class="command">jekyll new my-awesome-site</span>
        </p>
        <p class="line">
          <span class="path">~</span>
          <span class="prompt">$</span>
          <span class="command">cd my-awesome-site</span>
        </p>
        <p class="line">
          <span class="path">~/my-awesome-site</span>
          <span class="prompt">$</span>
          <span class="command">bundle exec jekyll serve</span>
        </p>
        <p class="line">
          <span class="output"># => Now browse to http://localhost:4000</span>
        </p>
      </div>
    </div>
    <div class="clear"></div>
  </div>
</section>
<section class="free-hosting">
  <div class="grid">
    <div class="unit whole">
      <div class="grid pane">
        <div class="unit whole center-on-mobiles">
          <img src="{{ 'img/octojekyll.png' | relative_url }}" width="300" height="251" alt="Free Jekyll hosting on GitHub Pages">
          <div class="pane-content">
            <h2 class="center-on-mobiles"><strong>Free hosting</strong> with GitHub Pages</h2>
            <p>Sick of dealing with hosting companies? <a href="https://pages.github.com/">GitHub Pages</a> are <em>powered by Jekyll</em>, so you can easily deploy your site using GitHub for free&mdash;<a href="https://help.github.com/articles/about-supported-custom-domains/">custom domain name</a> and&nbsp;all.</p>
            <a href="https://pages.github.com/">Learn more about GitHub Pages &rarr;</a>
          </div>
        </div>
        <div class="clear"></div>
      </div>
    </div>
  </div>
</section>
